# -*- encoding : utf-8 -*-

class Admin::PArticlesController < ApplicationController
  layout "admin"
  before_action :auth_admin

  before_action :admin_space
  
  def admin_space
    @admin_space = "default"
  end
  
  def index
    @p_articles = PArticle.all

    @p_articles = sort_by_sorting(@p_articles, "id DESC")
    respond_to do |format|
      format.html{
      
        params[:search][:per_page] = params[:search][:per_page] || 100
        per_page = params[:search][:per_page]
        page = (params[:page] and params[:page] != "") ? params[:page] : 1 
        @p_articles = @p_articles.page(page).per(per_page)
      
      }
    end
  end

  def show
    @p_article = PArticle.find(params[:id])

  end

  def new
    @p_article = PArticle.new
  
  end

  def edit
    @p_article = PArticle.find(params[:id])
    
  end

  def create
    @p_article = PArticle.new(params.require(:p_article).permit!)

    if @p_article.save
      
    else
      render action: "new"
 
    end

  end


  def update
    @p_article = PArticle.find(params[:id])


    if @p_article.update_attributes(params.require(:p_article).permit!)
      
    else
     render action: "edit" 
      
    end
      
  end


  def destroy
    @p_article = PArticle.find(params[:id])
    @p_article.destroy
    
  end
end
